## flatbuffers 1.11.0%2Bdfsg1

=== debian/changelog ===
flatbuffers (1.11.0+dfsg1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup again symbol files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Mar 2020 17:17:26 +0100

flatbuffers (1.11.0+dfsg1-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Refresh symbols from unstable build logs.
    This fixes FTBFS on mips64el.

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 17:35:47 +0100

flatbuffers (1.11.0+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix odd version number that I uploaded with accidentally (I'm sorry)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 20 Jan 2020 12:14:42 +0100

flatbuffers (1.11.0+dfsg1-1.1~rbalint1) unstable; urgency=medium

  * Non-maintainer upload (Closes: #949329)
  * Update symbols from sid build logs and local build to fix FTBFS

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 19 Jan 2020 22:22:01 +0100

flatbuffers (1.11.0+dfsg1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Initial release. (Closes: #823037)
  * New upstream release (1.10.0).
  * Bump debhelper build-dep and compat to 12
  * Bump to Standards-Version 4.3.0
  * Use the hardening=+all deb build option
  * Add missing package sections
  * Add symbols to be managed with pkgkde symbolshelper
  * New upstream release (1.11.0).
  * Update symbols files
  * Release to unstable

  [ Balint Reczey ]
  * Add Salsa CI configuration
  * debian/control: Fix typo libsdevel -> libdevel
  * debian/control: Make unique short descriptions
  * Override false positive source-contains-prebuilt-doxygen-documentation
    Lintian warning
  * Add packaging TODO
  * Exclude prebuilt jars from original upstream tarball
  * debian/watch: Support repacked source
  * New import of upstream version 1.10.0 as 1.10.0+dfsg1 excluding the jars
  * debian/gitlab-ci.yml: Disable reprotest until cmake is fixed

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jul 2019 10:40:36 -0300
