=== debian/changelog ===
flatbuffers (1.11.0+dfsg1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 08 Dec 2019 13:08:08 -0800
