=== debian/control ===
Source: flatbuffers
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maximiliano Curia <maxy@debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: cmake (>= 2.8), debhelper (>= 12), pkg-kde-tools (>= 0.6)
Standards-Version: 4.3.0
Homepage: http://google.github.io/flatbuffers/
Vcs-Browser: https://salsa.debian.org/debian/flatbuffers
Vcs-Git: https://salsa.debian.org/debian/flatbuffers.git

Package: flatbuffers-compiler
Architecture: any
Multi-Arch: foreign
Depends:
 libflatbuffers1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: efficient cross platform serialization library - compiler
 FlatBuffers is an efficient cross platform serialization library for C++, C#,
 C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
 created at Google for game development and other performance-critical
 applications.
 .
 This package contains the flat buffer compiler that is used for translating
 from .proto files (containing the definitions) to the language binding for the
 supported languages.

Package: flatbuffers-compiler-dev
Architecture: any
Multi-Arch: same
Depends:
 flatbuffers-compiler (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: efficient cross platform serialization library - cmake files
 FlatBuffers is an efficient cross platform serialization library for C++, C#,
 C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
 created at Google for game development and other performance-critical
 applications.
 .
 This package contains the development cmake files needed to use
 flatbuffer-compiler in a cross compiling environment.

Package: libflatbuffers-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 flatbuffers-compiler-dev (= ${binary:Version}),
 libflatbuffers1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: efficient cross platform serialization library - development files
 FlatBuffers is an efficient cross platform serialization library for C++, C#,
 C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
 created at Google for game development and other performance-critical
 applications.
 .
 This package contains the development headers and static libraries needed for
 writing C++ applications.

Package: libflatbuffers1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: efficient cross platform serialization library - shared library
 FlatBuffers is an efficient cross platform serialization library for C++, C#,
 C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
 created at Google for game development and other performance-critical
 applications.
 .
 This package contains the runtime library needed for C++ applications.
