## flatbuffers 1.12.1~git20200711.33e2d80%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: flatbuffers
+Priority: optional
 Section: devel
-Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Maximiliano Curia <maxy@debian.org>
-Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: cmake (>= 2.8), debhelper (>= 12), pkg-kde-tools (>= 0.6)
-Standards-Version: 4.3.0
+Maintainer: Maximiliano Curia <maxy@debian.org>
+Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+           Sascha Steinbiss <satta@debian.org>
+Build-Depends: cmake (>= 2.8), debhelper-compat (= 10), pkg-kde-tools (>= 0.6), dh-python, python3-all, python3-setuptools
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://google.github.io/flatbuffers/
 Vcs-Browser: https://salsa.debian.org/debian/flatbuffers
 Vcs-Git: https://salsa.debian.org/debian/flatbuffers.git
@@ -73,3 +74,16 @@
  applications.
  .
  This package contains the runtime library needed for C++ applications.
+
+Package: python3-flatbuffers
+Section: python
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Description: efficient cross platform serialization library - Python bindings
+ FlatBuffers is an efficient cross platform serialization library for C++, C#,
+ C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
+ created at Google for game development and other performance-critical
+ applications.
+ .
+ This package contains python3 flatbuffers API.
