=== debian/changelog ===
flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark three more symbols as optional, to fix s390x and ppc64el in Ubuntu.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 08 Jan 2021 16:29:01 +0100

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vasyl Gello ]
  * Mark a few other symbols as optional to fix FTBFS on sid/s390x.

  [ Mattia Rizzolo ]
  * Match all the Std:: symbols out there.
  * Manually handle symbols arch subst without pkgkde-tools.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 02 Jan 2021 14:45:07 +0100

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Make C++ template symbols optional and refresh them (Closes: #976921)
  * Bump standards version to 4.5.1 (no changes required)
  * Install python3-flatbuffers as indep (Closes: #976069)

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 24 Dec 2020 13:19:42 +0000

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop useless symbols disappearing with -O3 optimization level

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 13:15:52 +0200

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian: Adjust symbols from buildlogs.
  * debian: Fix failing tests on hppa/mipsel/mips64el.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 17 Jul 2020 18:15:18 +0200

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vasyl Gello ]
  * New upstream version 1.12.1~git20200711.33e2d80+dfsg1.
    + Fixed build with GCC-10.  Closes: #957212
  * debian: Remove obsoleted patch
  * debian: Update symbols file.

  [ Mattia Rizzolo ]
  * Mark python3-flatbuffers as M-A:foreign, from the M-A hinter.

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 15 Jul 2020 16:30:01 +0200

flatbuffers (1.11.0+dfsg1-3) unstable; urgency=medium

  * Team upload
  * Refresh symbols for non-amd64 archs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Jul 2020 23:41:07 +0200

flatbuffers (1.11.0+dfsg1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Vasyl Gello ]
  * debian: Adjust symbols for libflatbuffers1/alpha
  * debian: Add gbp.conf
  * debian: fix Lintian warnings
  * debian: fix FTBFS on hurd/i386

  [ Alexander Gerasiov ]
  * d/control, d/rules: Add python3-flatbuffers.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Jul 2020 18:04:01 +0200

flatbuffers (1.11.0+dfsg1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbol files on {stable,unstable}/amd64

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 25 May 2020 17:13:26 +0300
