=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Priority: optional
 Section: devel
 Maintainer: Maximiliano Curia <maxy@debian.org>
-Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
-           Sascha Steinbiss <satta@debian.org>
-Build-Depends: cmake (>= 2.8), debhelper-compat (= 10), pkg-kde-tools (>= 0.6), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.5.0
+Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Build-Depends: cmake (>= 2.8), debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://google.github.io/flatbuffers/
 Vcs-Browser: https://salsa.debian.org/debian/flatbuffers
