=== debian/watch ===
version=4
opts="dversionmangle=s/.dfsg[0-9]*//,repacksuffix=+dfsg1,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flatbuffers-$1.tar.gz%" \
      https://github.com/google/flatbuffers/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
