## flatbuffers 2.0.6+dfsg1

=== debian/changelog ===
flatbuffers (2.0.6+dfsg1-3) unstable; urgency=medium

  * Add -Wno-error=stringop-overflow to fix s390x FTBFS.

 -- Mo Zhou <lumin@debian.org>  Fri, 30 Sep 2022 19:32:34 -0400

flatbuffers (2.0.6+dfsg1-2) unstable; urgency=medium

  * Specify -Wno-error=maybe-uninitialized for GCC-12 (Closes: #1012928)
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 03 Sep 2022 14:23:09 -0400

flatbuffers (2.0.6+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Jul 2022 08:03:50 -0700

flatbuffers (2.0.6+dfsg1-1~exp3) experimental; urgency=medium

  * Patch to fix s390x FTBFS.

 -- Mo Zhou <lumin@debian.org>  Sun, 19 Jun 2022 21:15:24 -0700

flatbuffers (2.0.6+dfsg1-1~exp2) experimental; urgency=medium

  * Only track symbols for amd64 architecture. Manually crafting C++ symbol
    file for a hundred architectures sounds like nothing but a burden to me.

 -- Mo Zhou <lumin@debian.org>  Sat, 18 Jun 2022 13:40:39 -0700

flatbuffers (2.0.6+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 2.0.6+dfsg1
  * Append myself to Uploaders.
  * Update Files-Excluded list.
  * Change build directory to $(CURDIR) to prevent test failure.
  * Bump SOVERSION from 1 to 2; rename packages.
  * Remove upstream-merged patches.
  * Install the generated pkgconfig file.
  * Refresh symbols control file.
  * Overhaul d/copyright due to massive codebase change.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Mon, 30 May 2022 17:07:31 -0700
