=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Priority: optional
 Section: devel
 Maintainer: Maximiliano Curia <maxy@debian.org>
-Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+           Mo Zhou <lumin@debian.org>
 Build-Depends: cmake (>= 2.8), debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
@@ -14,7 +15,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
- libflatbuffers1 (= ${binary:Version}),
+ libflatbuffers2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: efficient cross platform serialization library - compiler
@@ -49,7 +50,7 @@
 Multi-Arch: same
 Depends:
  flatbuffers-compiler-dev (= ${binary:Version}),
- libflatbuffers1 (= ${binary:Version}),
+ libflatbuffers2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: efficient cross platform serialization library - development files
@@ -61,7 +62,7 @@
  This package contains the development headers and static libraries needed for
  writing C++ applications.
 
-Package: libflatbuffers1
+Package: libflatbuffers2
 Section: libs
 Architecture: any
 Multi-Arch: same
